<div class="container">
    <div class="spacer" style="width: 100%; height: 50px;"></div>
    <div class="container">
        <form [formGroup]="searchForm"
        role="form"
        class="form-inline form-group border rounded bg-light p-3 mt-3 d-flex justify-content-between"
        style="background-color: rgba(255,255,255,0.7) !important;"
        novalidate
        (ngSubmit)="onSearchTikets()">
            <label class="my-1 mr-2" for="inputProvider">Proveedor</label>
            <select 
                class="custom-select" 
                name="inputProvider" 
                formControlName="provider">
                    <option value="">Selecciona un proveedor</option>
                    <option *ngFor="let provider of providerCollection; let i index" 
                    [attr.value]="provider.id">{{provider.value}}</option>
            </select>
            <label class="my-2 mr-sm-2 mx-3" for="inputCurrency">Moneda</label>
            <input type="text"
            name="inputCurrency"
            id="inputCurrency"
            autocomplete="off" 
            class="form-control " 
            placeholder="MXN"
            formControlName="currency"
            maxlength="20"
            [disabled]="loadingFlag">
            <button type="submit" class="btn btn-outline-primary ml-2 mr-sm-2">
                <div *ngIf="loadingFlag; then thenBlock; else elseBlock"></div>
                <ng-template #thenBlock>
                    <span class="spinner-border spinner-border-sm mr-2"></span>Buscando
                </ng-template>
                <ng-template #elseBlock>
                    <span>Buscar</span>
                </ng-template>
            </button>
            <button type="button" 
            class="btn btn-outline-success btn-circle" 
            routerLink="addticket"
            [disabled]="loadingFlag">
                <i class="fa fa-plus" style="font-size: medium;"></i>
            </button>
        </form>
    </div>
    <div class="w-100 p-3" >
        <div class="table-responsive">
            <table class="table table-bordered table-hover">
                <thead class="thead-dark">
                    <tr>
                        <th *ngFor="let column of columnCollection; let i index" scope="col" class="text-center">{{column.name}}</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let ticket of ticketsCollection; let i index">
                        <td scope="row" class="align-middle">{{ticket.id}}</td>
                        <td scope="row" class="align-middle">{{ticket.ticketdate}}</td>
                        <td scope="row" class="align-middle">{{ticket.currency}}</td>
                        <td scope="row" class="align-middle">{{ticket.amount}}</td>
                        <td scope="row" class="align-middle">{{ticket.provider}}</td>
                        <td scope="row" class="align-middle">{{ticket.comments}}</td>
                        <td>
                            <span class="ml-2 mr-2">
                                <a class="" (click)="onDeleteTicket(ticket.id)" style="cursor: pointer;">
                                    <i class="fa fa-trash" style="color: rgba(233, 79, 55, 1); font-size: medium;"></i>
                                </a>
                            </span>
                            <span class="ml-2 mr-2">
                                <a class="" routerLink="ticketdetail/{{ticket.id}}" style="cursor: pointer;">
                                    <i class="fa fa-edit" style="color: rgba(239, 138, 23, 1); font-size: medium;"></i>
                                </a>
                            </span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <router-outlet></router-outlet>
</div>

<style>
    .table > tbody > tr:hover {
        background-color: rgba(42, 157, 143, 0.4);
        cursor: pointer;
        }

    .btn-circle {
        width: 30px;
        height: 30px;
        padding: 6px 0px;
        border-radius: 15px;
        text-align: center;
        font-size: 12px;
        line-height: 1.42857;
    }
</style>
